1. Accounts
NotifyMe
  • Introduction
  • Accounts
    • List accounts
      GET
    • Add account
      POST
    • Edit account
      PATCH
    • Delete account
      DELETE
    • Test notification
      POST
    • Force notification
      POST
  • Embeds
    • List embeds
      GET
    • Create embed
      POST
    • Edit embed
      PATCH
    • Delete embed
      DELETE
  • Bot Styles
    • List bot styles
      GET
    • Create bot style
      POST
    • Edit bot style
      PATCH
    • Delete bot style
      DELETE
Discord BotManagement API
Legal
Discord BotManagement API
Legal
  1. Accounts

Edit account

Developing
PATCH
https://public-api.notifyme.bot/v1/management/accounts
Rate Limit:5 req/sec

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthorized
🟠404Not Found
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://public-api.notifyme.bot/v1/management/accounts?server_id=1044159651178094592&platform=youtube&account_internal_id=1bf79ca7-29e9-4048-9c4c-35c0ad746c41' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "status": true,
    "discord_channel_id": "string",
    "ping_role_id": "string",
    "customization": {
        "embed_internal_id": "string",
        "bot_style_internal_id": "string"
    },
    "content_types": [
        "video"
    ],
    "message": {
        "video": "string",
        "live": "string",
        "tweet": "string"
    }
}'
Response Response Example
200 - Example 1
{
    "status": true
}
Previous
Add account
Next
Delete account
Built with